): ...

class CodeBlockProcessor(BlockProcessor): ...

class BlockQuoteProcessor(BlockProcessor):
    RE: Pattern
    def clean(self, line): ...

class OListProcessor(BlockProcessor):
    TAG: str = ...
    STARTSWITH: str = ...
    LAZY_OL: bool = ...
    SIBLING_TAGS: Any
    RE: Pattern
    CHILD_RE: Pattern
    INDENT_RE: Pattern
    def __init__(self, parser) -> None: ...
    def get_items(self, block): ...

class UListProcessor(OListProcessor):
    TAG: str = ...
    RE: Pattern
    def __init__(self, parser) -> None: ...

class HashHeaderProcessor(BlockProcessor):
    RE: Pattern

class SetextHeaderProcessor(BlockProcessor):
    RE: Pattern

class HRProcessor(BlockProcessor):
    RE: str = ...
    SEARCH_RE: Pattern
    match: Any

class EmptyBlockProcessor(BlockProcessor): ...
class ParagraphProcessor(BlockProcessor): ...
PK